import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 850;
const height = 455;
const centerX = width / 2;
const centerY = height /2;
const strokeWidth = 16;
const eyeOffsetX = 120;
const eyeOffsetY = 40;
const eyebrowYOffset = -50;
const eyeRadius = 35;
const mouthWidth = 20;
const mouthRadius = 55;

//creation of mouth
const mouthArc = arc()
	.innerRadius(-mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

//creation of eye arc
const eyeArc = d3.arc()
    .innerRadius(20)
    .outerRadius(45)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

//creation of ear arc
const earArc = d3.arc()
    .innerRadius(40)
    .outerRadius(85)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 3}
        fill="white"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="green" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="8" //border width of eye
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="green" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="8" //border width of eye
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "orange" //fill the eye ball color
        stroke = "red" //border color of eye ball
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "orange" //fill the eye ball color
        stroke = "red" //border color of eye ball
      />
    <ellipse
        rx={eyeRadius}
        ry={eyeRadius/2}
        fill = "pink" //file the ellipse color
        stroke = "grey" //borrder color of ellipse
      	transform = "rotate(-90  )"
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "blue"
        stroke-width = '2'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "blue"
        stroke-width = '2'
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "yellow" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "yellow" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "purple" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "purple"
        stroke-width = '2'
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(5)    translate(-132,-68)"
        fill = "brown"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-5)    translate(132,-68)"
        fill = "brown"
      />
    	<path 
        d = {earArc()} 
        transform = "rotate(50) translate(10,-215)"
        fill = "grey"
      />
      <path 
        d = {earArc()} 
        transform = "rotate(-50) translate(10,-215)"
        fill = "grey"
      />
  		<path d={mouthArc()}
    		transform = "translate(-6,60)"
      	fill = "red"
      />
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);